import type { TaskWorkVO, TaskWorkForm, TaskWorkQuery } from './work';

import type { ID, IDS, PageResult } from '#/api/common';

import { commonExport } from '#/api/helper';
import { requestClient } from '#/api/request';

/**
* 查询任务协作单列表
* @param params
* @returns 任务协作单列表
*/
export function taskWorkList(params?: TaskWorkQuery) {
  return requestClient.get<PageResult<TaskWorkVO>>('/biz/taskWork/list', { params });
}

/**
 * 导出任务协作单列表
 * @param params
 * @returns 任务协作单列表
 */
export function taskWorkExport(params?: TaskWorkQuery) {
  return commonExport('/biz/taskWork/export', params ?? {});
}

/**
 * 查询任务协作单详情
 * @param id id
 * @returns 任务协作单详情
 */
export function taskWorkInfo(id: ID) {
  return requestClient.get<TaskWorkVO>(`/biz/taskWork/${id}`);
}

/**
 * 新增任务协作单
 * @param data
 * @returns void
 */
export function taskWorkAdd(data: TaskWorkForm) {
  return requestClient.postWithMsg<void>('/biz/taskWork', data);
}

/**
 * 更新任务协作单
 * @param data
 * @returns void
 */
export function taskWorkUpdate(data: TaskWorkForm) {
  return requestClient.putWithMsg<void>('/biz/taskWork', data);
}

/**
 * 删除任务协作单
 * @param id id
 * @returns void
 */
export function taskWorkRemove(id: ID | IDS) {
  return requestClient.deleteWithMsg<void>(`/biz/taskWork/${id}`);
}
